Debian Bug report logs - #610943
Add en_DK locale

Package: localechooser; Maintainer for localechooser is Debian Install System Team <debian-boot@lists.debian.org>; Source for localechooser is src:localechooser.

Reported by: Lasse Mørk <mu_ffi@hotmail.com>

Date: Sun, 23 Jan 2011 19:42:01 UTC

Severity: normal

Tags: wontfix

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#610892; Package debian-installer. (Sun, 23 Jan 2011 19:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lasse Mørk <mu_ffi@hotmail.com>:
New Bug report received and forwarded. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 23 Jan 2011 19:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Lasse Mørk <mu_ffi@hotmail.com>
To: <submit@bugs.debian.org>
Subject: Squeeze RC2 install bug "non-system disk or disk error".
Date: Sun, 23 Jan 2011 19:39:16 +0000
[Message part 1 (text/plain, inline)]
Package: debian-installer

Boot method: CD - netinstaller
Image version: Squeeze RC2, build date 22 Jan, 2011 - http://cdimage.debian.org/cdimage/squeeze_di_rc2/i386/iso-cd/debian-squeeze-di-rc2-i386-netinst.iso
Date: 23 / 01 - 2011. 7 PM, danish time.

Machine: HP Elitebook 6930P
Processor:
Memory:
Partitions: sda1 = NTFS (win7), sda2 = /, sda3 = swap, sda4 = /home

Output of lspci -knn (or lspci -nn):

Base System Installation Checklist:
[O] = OK, [E] = Error (please elaborate below), [ ] = didn't try it

Initial boot:           [ O]
Detect network card:    [O ]
Configure network:      [ O]
Detect CD:              [ O]
Load installer modules: [O ]
Detect hard drives:     [ O]
Partition hard drives:  [ O]
Install base system:    [ O]
Clock/timezone setup:   [ O]
User/password setup:    [ O]
Install tasks:          [ O]
Install boot loader:    [O ]
Overall install:        [ E]

Comments/Problems:
After the installation is done, and the first reboot, the following message shows, before it evens load grub. Grub is installed to the MBR and detects Win7 fine (as a Vista boot loader though).
 
"non-system disk or disk error
replace and strike any key when ready"

It does not matter if I set the / with a boot flag or not. Same error.
 
Only problem during the installation, was I could not select the Danish keyboard layout. Only when I selected United States / America, it showed. So there is still a bug here.

 
 		 	   		  
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#610892; Package debian-installer. (Sun, 23 Jan 2011 21:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Sun, 23 Jan 2011 21:21:07 GMT) Full text and rfc822 format available.

Message #10 received at 610892@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Lasse Mørk <mu_ffi@hotmail.com>, 610892@bugs.debian.org
Subject: Re: Bug#610892: Squeeze RC2 install bug "non-system disk or disk error".
Date: Sun, 23 Jan 2011 22:19:38 +0100
Lasse Mørk, le Sun 23 Jan 2011 19:39:16 +0000, a écrit :
> Only problem during the installation, was I could not select the Danish
> keyboard layout. Only when I selected United States / America, it showed. So
> there is still a bug here.

I couldn't reproduce this part of the bug. What are you doing exactly?
What I'm doing is

- boot businesscard either in text or graphical installer (both work
  here).
- Choose Danish
- Choose Danmark
- Choose Dansk

And I can type e.g. å with the key on the right of p.

Samuel




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#610892; Package debian-installer. (Mon, 24 Jan 2011 09:30:15 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lasse Mørk <mu_ffi@hotmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 24 Jan 2011 09:30:15 GMT) Full text and rfc822 format available.

Message #15 received at 610892@bugs.debian.org (full text, mbox):

From: Lasse Mørk <mu_ffi@hotmail.com>
To: <sthibault@debian.org>
Subject: RE: Bug#610892: Squeeze RC2 install bug "non-system disk or disk error".
Date: Mon, 24 Jan 2011 02:49:14 +0000
[Message part 1 (text/plain, inline)]
Sorry for the confusion, the issue is actually a little different, which I can see when I write this.
 
But....
 
Starting the installation:
Select a language: English-English
Select your location: other -> europe -> denmark
Configure Locales: (No danish ones)??
 
/Lasse
 
> Date: Sun, 23 Jan 2011 22:19:38 +0100
> From: sthibault@debian.org
> To: mu_ffi@hotmail.com; 610892@bugs.debian.org
> Subject: Re: Bug#610892: Squeeze RC2 install bug "non-system disk or disk error".
> 
> Lasse Mørk, le Sun 23 Jan 2011 19:39:16 +0000, a écrit :
> > Only problem during the installation, was I could not select the Danish
> > keyboard layout. Only when I selected United States / America, it showed. So
> > there is still a bug here.
> 
> I couldn't reproduce this part of the bug. What are you doing exactly?
> What I'm doing is
> 
> - boot businesscard either in text or graphical installer (both work
> here).
> - Choose Danish
> - Choose Danmark
> - Choose Dansk
> 
> And I can type e.g. å with the key on the right of p.
> 
> Samuel
 		 	   		  
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#610892; Package debian-installer. (Mon, 24 Jan 2011 09:30:39 GMT) Full text and rfc822 format available.

Acknowledgement sent to Samuel Thibault <sthibault@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 24 Jan 2011 09:30:39 GMT) Full text and rfc822 format available.

Message #20 received at 610892@bugs.debian.org (full text, mbox):

From: Samuel Thibault <sthibault@debian.org>
To: Lasse Mørk <mu_ffi@hotmail.com>
Cc: 610892@bugs.debian.org
Subject: Re: Bug#610892: Squeeze RC2 install bug "non-system disk or disk error".
Date: Mon, 24 Jan 2011 10:30:19 +0100
clone 610892 -1
reassign -1 localechooser
retitle -1 Add en_DK locale
thanks

Lasse Mørk, le Mon 24 Jan 2011 02:49:14 +0000, a écrit :
> Starting the installation:
> Select a language: English-English
> Select your location: other -> europe -> denmark
> Configure Locales: (No danish ones)??

Ah, right, there _is_ an en_DK locale defined in glibc. I wonder why it
doesn't appear in localechooser.

Samuel




Bug 610892 cloned as bug 610943. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Mon, 24 Jan 2011 09:42:01 GMT) Full text and rfc822 format available.

Bug reassigned from package 'debian-installer' to 'localechooser'. Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Mon, 24 Jan 2011 09:42:04 GMT) Full text and rfc822 format available.

Changed Bug title to 'Add en_DK locale' from 'Squeeze RC2 install bug "non-system disk or disk error".' Request was from Samuel Thibault <sthibault@debian.org> to control@bugs.debian.org. (Mon, 24 Jan 2011 09:42:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#610943; Package localechooser. (Mon, 24 Jan 2011 19:33:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian PERRIER <bubulle@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Mon, 24 Jan 2011 19:33:11 GMT) Full text and rfc822 format available.

Message #31 received at 610943@bugs.debian.org (full text, mbox):

From: Christian PERRIER <bubulle@debian.org>
To: 610943@bugs.debian.org
Subject: en_DK is not a "real use case" locale
Date: Mon, 24 Jan 2011 18:21:17 +0100
[Message part 1 (text/plain, inline)]
tags 610943 wontfix
thanks

The en_DK locale is lying in glibc for ages without really been
considerd by upstream as having a real meaning (after all, why en_DK
and not en_SE, en_FI, en_FR, en_IT, en_AQ?).

Hence tagging this bug as wontfix.

-- 


[signature.asc (application/pgp-signature, inline)]

Added tag(s) wontfix. Request was from Christian PERRIER <bubulle@debian.org> to control@bugs.debian.org. (Mon, 24 Jan 2011 19:33:13 GMT) Full text and rfc822 format available.

Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Sat, 01 Mar 2014 23:21:16 GMT) Full text and rfc822 format available.

Notification sent to Lasse Mørk <mu_ffi@hotmail.com>:
Bug acknowledged by developer. (Sat, 01 Mar 2014 23:21:16 GMT) Full text and rfc822 format available.

Message #38 received at 610943-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: 610943-done@bugs.debian.org, 595783-done@bugs.debian.org
Subject: Closing en_DK bug reports
Date: Sun, 2 Mar 2014 00:19:07 +0100
[Message part 1 (text/plain, inline)]
They've been tagged wontfix for a long while, no need to keep them around.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 30 Mar 2014 07:30:36 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 05:19:41 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.